#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-4qSr7TwWoQ56Agy0s0OK6M-dns-internal
key:                  dns-4.1.1-4qSr7TwWoQ56Agy0s0OK6M-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  60052432f10fa56dafe84a33796bd5a5
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-4qSr7TwWoQ56Agy0s0OK6M-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-mpdT7StXVF2mjqEUwF4MR
    attoparsec-0.14.4-CiUWnNTnUzcEcRmqqSBimu
    auto-update-0.1.6-LUPhxSHb2MK6rH2te3fcTq base-4.17.2.1
    base16-bytestring-1.0.2.0-48ZRmm275Sv4uBxPoXHzXc
    base64-bytestring-1.2.1.0-20QKryWonJ0FfyBIVqw9dX
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-9695IAuXzI9BpRD3yNxY1D
    containers-0.6.7 cryptonite-0.30-L2if4IiisPzIt53eP0ABwC
    hourglass-0.2.12-8VDnn0zaDcm6NtjMURD2WK
    iproute-1.7.15-1toTp4eP3aBKiVbzhFRHOC mtl-2.2.2
    network-3.1.4.0-29qUxJkoDip75hxElAm7gZ
    psqueues-0.2.8.1-U3WOxGEvqDCfKmGoJYq1b

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-LgHEqqrhg632yBeNVBY2cB
key:                  dns-4.1.1-LgHEqqrhg632yBeNVBY2cB
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  483c9bd596c4a50be76625df3506c1ca
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-LgHEqqrhg632yBeNVBY2cB
depends:
    array-0.5.4.0 async-2.2.5-mpdT7StXVF2mjqEUwF4MR
    attoparsec-0.14.4-CiUWnNTnUzcEcRmqqSBimu
    auto-update-0.1.6-LUPhxSHb2MK6rH2te3fcTq base-4.17.2.1
    base16-bytestring-1.0.2.0-48ZRmm275Sv4uBxPoXHzXc
    base64-bytestring-1.2.1.0-20QKryWonJ0FfyBIVqw9dX
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-L2if4IiisPzIt53eP0ABwC
    dns-4.1.1-4qSr7TwWoQ56Agy0s0OK6M-dns-internal
    hourglass-0.2.12-8VDnn0zaDcm6NtjMURD2WK
    iproute-1.7.15-1toTp4eP3aBKiVbzhFRHOC mtl-2.2.2
    network-3.1.4.0-29qUxJkoDip75hxElAm7gZ
    psqueues-0.2.8.1-U3WOxGEvqDCfKmGoJYq1b

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

